[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[dak/master] byhand-*: set -o pipefail



---
 scripts/debian/byhand-di   |    3 ++-
 scripts/debian/byhand-tag  |    3 ++-
 scripts/debian/byhand-task |    3 ++-
 3 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/scripts/debian/byhand-di b/scripts/debian/byhand-di
index f8e5f6b..af03af4 100755
--- a/scripts/debian/byhand-di
+++ b/scripts/debian/byhand-di
@@ -1,7 +1,8 @@
-#!/bin/sh
+#!/bin/bash
 
 set -u
 set -e
+set -o pipefail
 
 if [ $# -lt 4 ]; then
 	echo "Usage: $0 filename version arch changes_file"
diff --git a/scripts/debian/byhand-tag b/scripts/debian/byhand-tag
index 47f628d..f9840cf 100755
--- a/scripts/debian/byhand-tag
+++ b/scripts/debian/byhand-tag
@@ -1,7 +1,8 @@
-#!/bin/sh
+#!/bin/bash
 
 set -u
 set -e
+set -o pipefail
 
 export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
 . $SCRIPTVARS
diff --git a/scripts/debian/byhand-task b/scripts/debian/byhand-task
index cd40167..1fcccc0 100755
--- a/scripts/debian/byhand-task
+++ b/scripts/debian/byhand-task
@@ -1,7 +1,8 @@
-#!/bin/sh
+#!/bin/bash
 
 set -u
 set -e
+set -o pipefail
 
 if [ $# -lt 4 ]; then
         echo "Usage: $0 filename version arch changes_file"
-- 
1.7.2.5


Reply to: